---
title: Update a case type
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Case Management Type
---

# Update a case type{% #update-a-case-type %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                        |
| ----------------- | ------------------------------------------------------------------- |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/cases/types/{case_type_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/cases/types/{case_type_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/cases/types/{case_type_id}      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/cases/types/{case_type_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/cases/types/{case_type_id}  |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/cases/types/{case_type_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/cases/types/{case_type_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/cases/types/{case_type_id} |

### Overview

Updates the name, emoji, or description of an existing case type.

OAuth apps require the `cases_shared_settings_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#case-management-type) to access this endpoint.



### Arguments

#### Path Parameters

| Name                           | Type   | Description                |
| ------------------------------ | ------ | -------------------------- |
| case_type_id [*required*] | string | The UUID of the case type. |

### Request

#### Body Data (required)

Case type payload.

{% tab title="Model" %}

| Parent field | Field                  | Type      | Description                                                                                                                                                                                          |
| ------------ | ---------------------- | --------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*] | object    | Data object for updating a case type.                                                                                                                                                                |
| data         | attributes             | object    | Attributes of a case type, which define a classification category for cases. Organizations use case types to model different workflows (for example, Security Incident, Bug Report, Change Request). |
| attributes   | deleted_at             | date-time | Timestamp when the case type was marked as deleted. A null value indicates the case type is active.                                                                                                  |
| attributes   | description            | string    | A detailed description explaining when this case type should be used.                                                                                                                                |
| attributes   | emoji                  | string    | An emoji icon representing the case type in the UI.                                                                                                                                                  |
| attributes   | name [*required*] | string    | The display name of the case type, shown in the Case Management UI when creating or viewing cases.                                                                                                   |
| data         | type [*required*] | enum      | JSON:API resource type for case types. Allowed enum values: `case_type`                                                                                                                              |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "description": "Investigations done in case management",
      "emoji": "🕵🏻‍♂️",
      "name": "Investigation"
    },
    "type": "case_type"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a single case type.

| Parent field | Field                  | Type      | Description                                                                                                                                                                                          |
| ------------ | ---------------------- | --------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data                   | object    | A case type that defines a classification category for cases. Each case type can have its own custom attributes, statuses, and automation rules.                                                     |
| data         | attributes             | object    | Attributes of a case type, which define a classification category for cases. Organizations use case types to model different workflows (for example, Security Incident, Bug Report, Change Request). |
| attributes   | deleted_at             | date-time | Timestamp when the case type was marked as deleted. A null value indicates the case type is active.                                                                                                  |
| attributes   | description            | string    | A detailed description explaining when this case type should be used.                                                                                                                                |
| attributes   | emoji                  | string    | An emoji icon representing the case type in the UI.                                                                                                                                                  |
| attributes   | name [*required*] | string    | The display name of the case type, shown in the Case Management UI when creating or viewing cases.                                                                                                   |
| data         | id                     | string    | Case type's identifier                                                                                                                                                                               |
| data         | type                   | enum      | JSON:API resource type for case types. Allowed enum values: `case_type`                                                                                                                              |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "deleted_at": "2019-09-19T10:00:00.000Z",
      "description": "Investigations done in case management",
      "emoji": "🕵🏻‍♂️",
      "name": "Investigation"
    },
    "id": "aeadc05e-98a8-11ec-ac2c-da7ad0900001",
    "type": "case_type"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export case_type_id="f98a5a5b-e0ff-45d4-b2f5-afe6e74de505" \# Curl command curl -X PUT "https://api.datadoghq.com/api/v2/cases/types/${case_type_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "description": "Investigations done in case management",
      "emoji": "🕵🏻‍♂️",
      "name": "Investigation"
    },
    "type": "case_type"
  }
}
EOF 
                
##### 

```python
"""
Update a case type returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.case_management_type_api import CaseManagementTypeApi
from datadog_api_client.v2.model.case_type_resource_attributes import CaseTypeResourceAttributes
from datadog_api_client.v2.model.case_type_resource_type import CaseTypeResourceType
from datadog_api_client.v2.model.case_type_update import CaseTypeUpdate
from datadog_api_client.v2.model.case_type_update_request import CaseTypeUpdateRequest

body = CaseTypeUpdateRequest(
    data=CaseTypeUpdate(
        attributes=CaseTypeResourceAttributes(
            description="Investigations done in case management",
            emoji="🕵🏻\u200d♂️",
            name="Investigation",
        ),
        type=CaseTypeResourceType.CASE_TYPE,
    ),
)

configuration = Configuration()
configuration.unstable_operations["update_case_type"] = True
with ApiClient(configuration) as api_client:
    api_instance = CaseManagementTypeApi(api_client)
    response = api_instance.update_case_type(case_type_id="case_type_id", body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Update a case type returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.update_case_type".to_sym] = true
end
api_instance = DatadogAPIClient::V2::CaseManagementTypeAPI.new

body = DatadogAPIClient::V2::CaseTypeUpdateRequest.new({
  data: DatadogAPIClient::V2::CaseTypeUpdate.new({
    attributes: DatadogAPIClient::V2::CaseTypeResourceAttributes.new({
      description: "Investigations done in case management",
      emoji: '🕵🏻\u200d♂️',
      name: "Investigation",
    }),
    type: DatadogAPIClient::V2::CaseTypeResourceType::CASE_TYPE,
  }),
})
p api_instance.update_case_type("case_type_id", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Update a case type returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.CaseTypeUpdateRequest{
		Data: datadogV2.CaseTypeUpdate{
			Attributes: &datadogV2.CaseTypeResourceAttributes{
				Description: datadog.PtrString("Investigations done in case management"),
				Emoji:       datadog.PtrString("🕵🏻‍♂️"),
				Name:        "Investigation",
			},
			Type: datadogV2.CASETYPERESOURCETYPE_CASE_TYPE,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateCaseType", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewCaseManagementTypeApi(apiClient)
	resp, r, err := api.UpdateCaseType(ctx, "case_type_id", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `CaseManagementTypeApi.UpdateCaseType`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `CaseManagementTypeApi.UpdateCaseType`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Update a case type returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.CaseManagementTypeApi;
import com.datadog.api.client.v2.model.CaseTypeResourceAttributes;
import com.datadog.api.client.v2.model.CaseTypeResourceType;
import com.datadog.api.client.v2.model.CaseTypeResponse;
import com.datadog.api.client.v2.model.CaseTypeUpdate;
import com.datadog.api.client.v2.model.CaseTypeUpdateRequest;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.updateCaseType", true);
    CaseManagementTypeApi apiInstance = new CaseManagementTypeApi(defaultClient);

    CaseTypeUpdateRequest body =
        new CaseTypeUpdateRequest()
            .data(
                new CaseTypeUpdate()
                    .attributes(
                        new CaseTypeResourceAttributes()
                            .description("Investigations done in case management")
                            .emoji("🕵🏻‍♂️")
                            .name("Investigation"))
                    .type(CaseTypeResourceType.CASE_TYPE));

    try {
      CaseTypeResponse result =
          apiInstance.updateCaseType("f98a5a5b-e0ff-45d4-b2f5-afe6e74de505", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling CaseManagementTypeApi#updateCaseType");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Update a case type returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_case_management_type::CaseManagementTypeAPI;
use datadog_api_client::datadogV2::model::CaseTypeResourceAttributes;
use datadog_api_client::datadogV2::model::CaseTypeResourceType;
use datadog_api_client::datadogV2::model::CaseTypeUpdate;
use datadog_api_client::datadogV2::model::CaseTypeUpdateRequest;

#[tokio::main]
async fn main() {
    let body = CaseTypeUpdateRequest::new(
        CaseTypeUpdate::new(CaseTypeResourceType::CASE_TYPE).attributes(
            CaseTypeResourceAttributes::new("Investigation".to_string())
                .description("Investigations done in case management".to_string())
                .emoji("🕵🏻‍♂️".to_string()),
        ),
    );
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.UpdateCaseType", true);
    let api = CaseManagementTypeAPI::with_config(configuration);
    let resp = api.update_case_type("case_type_id".to_string(), body).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Update a case type returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.updateCaseType"] = true;
const apiInstance = new v2.CaseManagementTypeApi(configuration);

const params: v2.CaseManagementTypeApiUpdateCaseTypeRequest = {
  body: {
    data: {
      attributes: {
        description: "Investigations done in case management",
        emoji: "🕵🏻\u200d♂️",
        name: "Investigation",
      },
      type: "case_type",
    },
  },
  caseTypeId: "case_type_id",
};

apiInstance
  .updateCaseType(params)
  .then((data: v2.CaseTypeResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
